# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.felix.webconsole.AbstractWebConsolePlugin
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_FILEUPLOAD`
`"org.apache.felix.webconsole.fileupload"`
`public static final String`
`ATTR_FILEUPLOAD_REPO`
`"org.apache.felix.webconsole.fileupload.repo"`
`public static final String`
`GET_RESOURCE_METHOD_NAME`
`"getResource"`
org.apache.felix.webconsole.ConfigurationPrinter
Modifier and Type
Constant Field
Value
`public static final String`
`MODE_ALWAYS`
`"always"`
`public static final String`
`MODE_TXT`
`"txt"`
`public static final String`
`MODE_WEB`
`"web"`
`public static final String`
`MODE_ZIP`
`"zip"`
`public static final String`
`PROPERTY_MODES`
`"modes"`
org.apache.felix.webconsole.WebConsoleConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_APP_ROOT`
`"felix.webconsole.appRoot"`
`public static final String`
`ATTR_CONFIGURATION`
`"felix.webconsole.configuration"`
`public static final String`
`ATTR_CONSOLE_VARIABLE_RESOLVER`
`"felix.webconsole.variable.resolver"`
`public static final String`
`ATTR_LABEL_MAP`
`"felix.webconsole.labelMap"`
`public static final String`
`ATTR_LANG_MAP`
`"felix.webconsole.langMap"`
`public static final String`
`ATTR_PLUGIN_ROOT`
`"felix.webconsole.pluginRoot"`
`public static final String`
`CONFIG_PRINTER_MODES`
`"felix.webconsole.configprinter.modes"`
`public static final String`
`CONFIG_PRINTER_WEB_UNESCAPED`
`"felix.webconsole.configprinter.web.unescaped"`
`public static final String`
`PLUGIN_CATEGORY`
`"felix.webconsole.category"`
`public static final String`
`PLUGIN_CSS_REFERENCES`
`"felix.webconsole.css"`
`public static final String`
`PLUGIN_LABEL`
`"felix.webconsole.label"`
`public static final String`
`PLUGIN_TITLE`
`"felix.webconsole.title"`
`public static final String`
`SERVICE_NAME`
`"javax.servlet.Servlet"`
org.apache.felix.webconsole.WebConsoleSecurityProvider2
Modifier and Type
Constant Field
Value
`public static final String`
`USER_ATTRIBUTE`
`"org.apache.felix.webconsole.user"`

org.apache.felix.webconsole.servlet.RequestVariableResolver
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_APP_ROOT`
`"appRoot"`
`public static final String`
`KEY_PLUGIN_ROOT`
`"pluginRoot"`
`public static final String`
`REQUEST_ATTRIBUTE`
`"felix.webconsole.variable.resolver"`
org.apache.felix.webconsole.servlet.ServletConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_APP_ROOT`
`"felix.webconsole.appRoot"`
`public static final String`
`ATTR_CONFIGURATION`
`"felix.webconsole.configuration"`
`public static final String`
`ATTR_PLUGIN_ROOT`
`"felix.webconsole.pluginRoot"`
`public static final String`
`PLUGIN_CATEGORY`
`"felix.webconsole.category"`
`public static final String`
`PLUGIN_CSS_REFERENCES`
`"felix.webconsole.css"`
`public static final String`
`PLUGIN_LABEL`
`"felix.webconsole.label"`
`public static final String`
`PLUGIN_TITLE`
`"felix.webconsole.title"`

org.apache.felix.webconsole.spi.SecurityProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_ID`
`"webconsole.security.provider.id"`